package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class AlumniTest {

    @Autowired
    StudentConfig studentConfig;

    @Autowired
    InstructorsConfig instructorsConfig;


    Alumni alumni;

    @Before
    public void setup() {
        Students prevstudents = studentConfig.previousStudents();

        Instructors instructors = instructorsConfig.ZipCodeInstructors();

        alumni = new Alumni(instructors,prevstudents);
        alumni.getPreviousCohort().add(new Student (1, "Lilith"));
        alumni.getPreviousCohort().add(new Student (2, "Itchigo"));
        alumni.getPreviousCohort().add(new Student (3, "Kenpachi"));
        alumni.getPreviousCohort().add(new Student (4, "Rainbo Dash"));

        alumni.getInstructor().add(new Instructor(1,"Leon"));
        alumni.getInstructor().add(new Instructor(1,"Rengi"));

    }

    @Test
    public void executeBootCamp(){
        alumni.executeBootCamp();
        double expected = 1200;

        double actual = 0;

        for(Student student : alumni.getPreviousCohort()) {
             actual = student.getTotalStudyTime();
        }

        Assert.assertEquals(expected,actual, 0.0);
    }


}